## r-cran-credentials 1.3.0

=== DESCRIPTION ===
Package: credentials
Type: Package
Title: Tools for Managing SSH and Git Credentials
Version: 1.3.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
Description: Setup and retrieve HTTPS and SSH credentials for use with 'git' and 
    other services. For HTTPS remotes the package interfaces the 'git-credential' 
    utility which 'git' uses to store HTTP usernames and passwords. For SSH 
    remotes we provide convenient functions to find or generate appropriate SSH 
    keys. The package both helps the user to setup a local git installation, and
    also provides a back-end for git/ssh client libraries to authenticate with 
    existing user credentials.
License: MIT + file LICENSE
SystemRequirements: git (optional)
Encoding: UTF-8
Imports: openssl (>= 1.3), sys (>= 2.1), curl, jsonlite, askpass
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Language: en-US
URL: https://docs.ropensci.org/credentials (website)
        https://github.com/r-lib/credentials
BugReports: https://github.com/r-lib/credentials/issues
NeedsCompilation: no
Packaged: 2020-07-21 08:38:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-07-21 09:10:06 UTC

=== debian/changelog ===
r-cran-credentials (1.3.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2021 21:43:13 +0100

r-cran-credentials (1.3.0-1) unstable; urgency=medium

  * Initial release (closes: #980907)

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2021 16:23:15 +0100

=== debian/control ===
Source: r-cran-credentials
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-openssl (>= 1.3),
               r-cran-sys,
               r-cran-curl,
               r-cran-jsonlite,
               r-cran-askpass
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-credentials
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-credentials.git
Homepage: https://cran.r-project.org/package=credentials
Rules-Requires-Root: no

Package: r-cran-credentials
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for managing SSH and Git credentials
 Setup and retrieve HTTPS and SSH credentials for use with 'git' and
 other services. For HTTPS remotes the package interfaces the 'git-credential'
 utility which 'git' uses to store HTTP usernames and passwords. For SSH
 remotes convenient functions to find or generate appropriate SSH keys are
 provided. The package both helps the user to setup a local git installation,
 and also provides a back-end for git/ssh client libraries to authenticate
 with existing user credentials.

## r-cran-credentials 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: credentials
 Type: Package
 Title: Tools for Managing SSH and Git Credentials
-Version: 1.3.0
+Version: 1.3.2
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Setup and retrieve HTTPS and SSH credentials for use with 'git' and 
@@ -19,12 +19,12 @@
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 Language: en-US
-URL: https://docs.ropensci.org/credentials (website)
+URL: https://docs.ropensci.org/credentials/ (website)
         https://github.com/r-lib/credentials
 BugReports: https://github.com/r-lib/credentials/issues
 NeedsCompilation: no
-Packaged: 2020-07-21 08:38:12 UTC; jeroen
+Packaged: 2021-11-29 11:40:26 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-07-21 09:10:06 UTC
+Date/Publication: 2021-11-29 12:40:01 UTC

=== debian/changelog ===
r-cran-credentials (1.3.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.3.2
  * d/copyright: s/MIT/Expat/
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 06 Dec 2021 01:40:34 +0530

r-cran-credentials (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-openssl.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:51:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-curl,
                r-cran-jsonlite,
                r-cran-askpass
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-credentials
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-credentials.git
 Homepage: https://cran.r-project.org/package=credentials

## r-cran-credentials 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: credentials
 Type: Package
 Title: Tools for Managing SSH and Git Credentials
-Version: 1.3.2
+Version: 2.0.1
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Setup and retrieve HTTPS and SSH credentials for use with 'git' and 
@@ -16,15 +16,15 @@
 Encoding: UTF-8
 Imports: openssl (>= 1.3), sys (>= 2.1), curl, jsonlite, askpass
 Suggests: testthat, knitr, rmarkdown
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
 Language: en-US
-URL: https://docs.ropensci.org/credentials/ (website)
-        https://github.com/r-lib/credentials
+URL: https://docs.ropensci.org/credentials/
+        https://r-lib.r-universe.dev/credentials
 BugReports: https://github.com/r-lib/credentials/issues
 NeedsCompilation: no
-Packaged: 2021-11-29 11:40:26 UTC; jeroen
+Packaged: 2023-09-06 11:28:31 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-11-29 12:40:01 UTC
+Date/Publication: 2023-09-06 21:32:31 UTC

=== debian/changelog ===
r-cran-credentials (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2023 18:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-openssl (>= 1.3),
+               r-cran-openssl,
                r-cran-sys,
                r-cran-curl,
                r-cran-jsonlite,
                r-cran-askpass
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-credentials
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-credentials.git
 Homepage: https://cran.r-project.org/package=credentials

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/credentials_([-\d.]*)\.tar\.gz

## r-cran-credentials 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: credentials
 Type: Package
 Title: Tools for Managing SSH and Git Credentials
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
-    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
+    email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Setup and retrieve HTTPS and SSH credentials for use with 'git' and 
     other services. For HTTPS remotes the package interfaces the 'git-credential' 
     utility which 'git' uses to store HTTP usernames and passwords. For SSH 
@@ -23,8 +23,8 @@
         https://r-lib.r-universe.dev/credentials
 BugReports: https://github.com/r-lib/credentials/issues
 NeedsCompilation: no
-Packaged: 2023-09-06 11:28:31 UTC; jeroen
+Packaged: 2024-10-03 14:12:32 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-09-06 21:32:31 UTC
+Date/Publication: 2024-10-04 12:40:03 UTC

=== debian/changelog ===
r-cran-credentials (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 08:29:56 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-curl,
                r-cran-jsonlite,
                r-cran-askpass
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-credentials
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-credentials.git
 Homepage: https://cran.r-project.org/package=credentials

## r-cran-credentials 2.0.3

=== debian/changelog ===
r-cran-credentials (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 09:30:34 +0900

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
                r-cran-sys,
                r-cran-curl,
                r-cran-jsonlite,
-               r-cran-askpass
-Standards-Version: 4.7.0
+               r-cran-askpass,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-credentials
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-credentials.git
 Homepage: https://cran.r-project.org/package=credentials
